Last Comment Bug 224227 - round up Plugin XPIs packages as required - need java 1.5
: round up Plugin XPIs packages as required - need java 1.5
Status: RESOLVED FIXED
u.m.o
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Administration (show other bugs)
: unspecified
: All All
: P2 major
: ---
Assigned To: Rafael Ebron (:rebron)
: mozilla.update
:
Mentors:
: 251645 (view as bug list)
Depends on: 229590
Blocks: 215093
  Show dependency treegraph
 
Reported: 2003-10-30 12:13 PST by Ben Goodger (use ben at mozilla dot org for email)
Modified: 2016-03-07 07:30 PST (History)
31 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Ben Goodger (use ben at mozilla dot org for email) 2003-10-30 12:13:42 PST
Find out if we can bundle flash, etc. to improve the user experience.
Comment 1 Ben Goodger (use ben at mozilla dot org for email) 2003-10-30 12:14:51 PST
twiddle bits. 
Comment 2 Dan Reif 2003-11-17 12:16:03 PST
If we bundle Flash, we should bundle Flash click-to-play, or otherwise make it
_very_ easy to restrict the user's Flash experience.

Many people who switch to Mozilla/FB are trying to get away from the built-in
security holes and ad-enablers of IE, and Flash is both of those.  We should not
lightly add Flash as a default install.
Comment 3 Jeremy M. Dolan 2003-11-27 12:14:29 PST
Flash click-to-view is an ugly hack. The correct way to do that would be an
internal click-to-run plugin feature. Unfortunately, enabling this by default
would severely interfere with the user experience, probably more so than java
and flash ads do already. But even if this option were in the preferences,
disabled by default, for people who understand the issues to enable, I think it
would be a huge win. Dan does have a point though. Shipping plugins which CAN be
obtrusive with no better plugin management than IE has is not necessarily a win.
Even the current cumbersome UI for plugin disabling doesn't work. You have to go
delete/move the plugin file from your profile and restart if you want to disable
a plugin until you actually *need* it for content.
Comment 4 irongut 2003-12-30 13:58:55 PST
Should be assigned to Marketing.

Duplicate of #229590.
Comment 5 Rafael Ebron (:rebron) 2004-02-23 23:33:42 PST
Flash 7 is approx. 1MB.  I think can be reduced if .xpi is built for it.  If
concerned about size, might make more sense to leverage plug-ins already
installed (since majority of people have flash, qt, etc plug-ins installed
already).  peterl did a bunch of work on this already I thought.

Getting permission rights to bundle flash is trivial.  Don't need to bundle any
other plug-ins, a link to download plug-ins should suffice.  
Comment 6 Ben Goodger (use ben at mozilla dot org for email) 2004-03-10 23:17:25 PST
Likely we will have two downloads - standard and full (full has all the plugins) 
Comment 7 Ben Goodger (use ben at mozilla dot org for email) 2004-05-19 03:58:45 PDT
Morphing to cover what we'll actually do. 

Two things to do here:

- change fe to point plugin finder service URL at update.mozilla.org
- service on update.mozilla.org that translates content type -> xpi download of
installer, if no match is found forward to netscape.com plugin finder as a backup. 

This way the plugin is downloaded and installed simply the first time it is
needed, a la IE. 
Comment 8 Ben Goodger (use ben at mozilla dot org for email) 2004-05-19 03:58:59 PDT
Morphing to cover what we'll actually do. 

Two things to do here:

- change fe to point plugin finder service URL at update.mozilla.org
- service on update.mozilla.org that translates content type -> xpi download of
installer, if no match is found forward to netscape.com plugin finder as a backup. 

This way the plugin is downloaded and installed simply the first time it is
needed, a la IE. 
Comment 9 Aaron P 2004-07-07 10:32:59 PDT
Are the other common plugins, like Acrobat, Java runtime, QuickTime, RealPlayer,
Windows Media Player, also included in this bug, or should another one be
opened? Also, is this bug still about bundling the plugins with the "full"
version of FF or has it been morphed to adding plugin->xpi functionality only?
Comment 10 chris hofmann 2004-07-30 14:41:08 PDT
think we have the puzzle piece work covered in a bug for jst (
http://bugzilla.mozilla.org/show_bug.cgi?id=244125 ) , and the installer work
covered in a bug for blake ( http://bugzilla.mozilla.org/show_bug.cgi?id=253744 )

lets morf this one to a bug for rafael to round up licenses to distribute and
xpi's from the vendors.
Comment 11 Rafael Ebron (:rebron) 2004-08-13 12:40:05 PDT
Flash Win/Mac/Lin: in good shape for license and .xpi's
Real Win/Mac/Lin: in good shape for license and .xpi's
Sun Win/Lin: in good shape for .xpi's (Linux'll need to point to a page, Win
will need to point to their url).

QuickTime: need to point to their download page
Adobe Acrobat: still working on it
Comment 12 Ben Goodger (use ben at mozilla dot org for email) 2004-09-06 16:34:35 PDT
I'm minusing this to get it off the radar. Rafael, send email this week with a
list of all the XPIs you have. Download links would be good. We can then put
them on the web site and update the service. 
Comment 13 chris hofmann 2004-10-07 09:11:20 PDT
wondering what we have now, and how can folks navigate u.m.o to test?
Comment 14 chris hofmann 2004-10-07 18:14:23 PDT
rafael, can you build a list of what we have now, which versions, and which are
still coming?

I know java 1.5 needs to be there by 1.0 to resolve a number of top crash problems.
Comment 15 chris hofmann 2004-10-07 18:20:56 PDT
*** Bug 251645 has been marked as a duplicate of this bug. ***
Comment 16 chris hofmann 2004-10-11 12:16:35 PDT
jst wrote:
 I updated the server to point to this URI, it now offers "Sun Java J2SE50",
which seems to be the name the 1.5 release goes by...

Rafael Ebron wrote:

> -------- Original Message --------
> Subject:     Re: Java 1.5 .xpi
> Date:     Wed, 08 Sep 2004 19:42:51 -0700
> From:     Xiaobin Lu <Xiaobin.Lu@Sun.COM>
> To:     Rafael Ebron <rebron@meer.net>
>
>
>
> Our side is ready now. Check out the following url for XPI file.
> http://java.sun.com/update/1.5.0/jre-1_5_0-windows-i586.xpi
>
> Xiaobin 
Comment 17 Jeremy M. Dolan 2004-10-11 12:26:48 PDT
I don't know if it's supposed to work, but in Aviary nightlies on Linux,
clicking Install Missing Plug-ins shows Sun Java J2SE50, but when you click
"Next", it says:
 

Finished installing the missing plugins: [sic, no hyphen]

   Sun Java J2SE50      Not Available       ((Manual Install))


Manual Install seems to work properly, a new window opens to a page on sun.com.
However, at the bottom of the dialog is a link to "find out more...", which
opens a new window to:
https://update.mozilla.org/plugins/?action=missingplugins&mimetype={fbe640ef-4375-4f45-8d79-767d60bf75b8}&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=2004101008&clientOS=Linux%20i686&chromeLocale=en-US

That page simply says: THIS IS WORK IN PROGRESS, PLEASE CHECK BACK LATER.
Comment 18 Asa Dotzler [:asa] 2004-10-20 11:30:14 PDT
->Update
Comment 19 Doug Wright 2004-10-21 11:06:17 PDT
Just installed Java 1.5 using the plugin finder, and all went well - except that
after installation, the java homepage(java.com) launched - in IE
Comment 20 alanjstr 2004-10-22 19:52:04 PDT
Marking dependent on licensing bug.
Comment 21 Wolf [:wolf] 2004-11-17 14:22:37 PST
Since this seems to be for Firefox, and Firefox 1.0 is passed, minus'ing the
blocking flag, with all the other update blockers. (If this was in error, reset
it and sorry for the trouble.)
Comment 22 Wolf [:wolf] 2004-11-24 04:55:49 PST
Moving more bugs to new component.
Comment 23 Johnny Stenback (:jst, jst@mozilla.com) 2005-02-16 10:29:01 PST
What's left to do here?
Comment 24 Rafael Ebron (:rebron) 2005-12-05 11:16:57 PST
fixed.

Note You need to log in before you can comment on or make changes to this bug.